<style type="text/css" media="print">
@page{
   margin: 2px;
}

*{
font-size:14px;
font-family:"Consolas";
font-family:"consolas";
}
h3{
	font-size:14px;
	font-weight:bolder;
}
h5{
	font-size:12px
}

</style>

<div id="recibo">
<div id="cabecera">
    
</div>
<center>
------------------------
</center>
<br><br>
<center style="text-decoration:underline"><b>RECIBO DE PAGO</b></center>
<div style="float:right">
<br>
    Fecha <?php echo @date('d/m/Y h:i:s a', time());?>
</div>
Prestamo #:<?php echo $_GET["id_prestamo"]."<br>"?>
Cliente: <?php echo $_GET["id_cliente"]." - ".$_GET["nombre_cliente"]."<br>"?>


<?php
require_once("../php/config.php");
require_once("../php/formatos.php");
$monto = $_GET["monto"];
$imonto = $_GET["monto"];
$id_prestamo = $_GET["id_prestamo"];
$sql_datos = mysql_query("select * from prestamos inner join clientes on prestamos.id_cliente=clientes.id where prestamos.id_prestamo='$id_prestamo'") or die(mysql_error());


$tipo_prestamo = @mysql_result($sql_datos,0,"tipo");
$ruta =@mysql_result($sql_datos,0,"ruta");
$cartera = @mysql_result($sql_datos,0,"cartera");
$caja = @mysql_result($sql_datos,0,"caja");
$bal =@mysql_result($sql_datos,0,"balance");
$cuenta =@mysql_result($sql_datos,0,"cuenta");

$id_cliente = $_GET["id_cliente"];
$nombre_cliente = $_GET["nombre_cliente"];
$usuario = $_GET["usuario"];
$capital_pagado=0;
$interes_pagado=0;
$mora_pagada=0;
$total_pagado=0;
$int=0; 
$cap=0; 
$mor=0; 
$tot=0; 
$str="Pago a cuotas: ";
mysql_query("update cuotas set mora=0 where mora<0 and id_prestamo='$id_prestamo'") or die(mysql_error());
mysql_query("update cuotas set balance_capital=0 where balance_capital<0 and id_prestamo='$id_prestamo'") or die(mysql_error());
mysql_query("update cuotas set balance_interes=0 where balance_interes<0 and id_prestamo='$id_prestamo'") or die(mysql_error());
mysql_query("update cuotas set balance=mora+balance_capital+balance_interes where id_prestamo='$id_prestamo'") or die(mysql_error());

$sql = mysql_query("select * from cuotas where balance>0 and id_prestamo='$id_prestamo' order by id asc") or die(mysql_error());
while($r = mysql_fetch_array($sql)){

	$mora = $r["mora"];
	$capital = $r["balance_capital"];
	$interes = $r["balance_interes"];
	$id = $r["id"];
	$numero = $r["numero"];
	
	if($monto>0){
		cobrar($id,$mora,$interes,$capital);
		$str .=$numero."," ;
                /*
                echo ".....................<br>";
		echo "Pago cuota #".$numero."<br>";
		echo ".....................<br>";
		echo "Interes: ".$interes_pagado."<br>";
		echo "Mora: ".$mora_pagada."<br>";
		echo "Capital: ".$capital_pagado."<br>";
		echo "<b>TOTAL PAGADO:</b> ".$total_pagado."<br>";
               
                 */
		mysql_query("update cuotas set pagado=pagado+'$total_pagado' where id='$id'")or die(mysql_error());
		mysql_query("insert into cobros set 
                            capital = '$capital_pagado',
                            interes='$interes_pagado',
                            mora='$mora_pagada', 
                            total='$total_pagado', 
                            cuota='$numero', 
                            id_cuota='$id',
                            id_prestamo='$id_prestamo',
                            id_cliente='$id_cliente', 
                            cliente='$nombre_cliente',
                            tipo='$tipo_prestamo',
                            usuario='$usuario',
                            cartera='$cartera',
                            cuenta='$cuenta',
                            ruta='$ruta',
                            fecha=NOW(),
                            hora=NOW()")or die(mysql_error());

                echo "<br>";
		$capital_pagado=0;
		$interes_pagado=0;
		$mora_pagada=0;
		$total_pagado=0;
		
	}
	

}


function cobrar($id,$mora,$interes,$capital){
	
	global $monto;
	global $capital_pagado;
	global $interes_pagado;
	global $mora_pagada;
	global $total_pagado;
	
	global $int; 
	global $cap; 
	global $mor; 
	global $tot; 
	
	if($mora>0 and $monto>0){
		
		mysql_query("update cuotas set mora=mora-'$monto',fultimo_pago=NOW() where id='$id'") or die(mysql_error());
		
		if($mora>=$monto){$mora_pagada=$monto;}else{$mora_pagada=$mora;}
		if($mora>$monto){$monto = 0;}
		if($mora==$monto){$monto = 0;}
		if($mora<$monto){$monto = $monto - $mora;}
		
	}
	
		if($interes>0 and $monto>0){
			
			mysql_query("update cuotas set balance_interes=balance_interes-'$monto',fultimo_pago=NOW() where id='$id'") or die(mysql_error());
			
			if($interes>=$monto){$interes_pagado= $monto;}else{$interes_pagado=$interes;}
			if($interes>$monto){$monto = 0;}
			if($interes==$monto){$monto = 0;}
			if($interes<$monto){$monto = $monto - $interes;}
	
	}
	
	if($capital>0 and $monto>0){

		mysql_query("update cuotas set balance_capital=balance_capital-'$monto',fultimo_pago=NOW() where id='$id'") or die(mysql_error());
	
			if($capital>=$monto){$capital_pagado=$monto;}else{$capital_pagado=$capital;}
			
			if($capital>$monto){$monto = 0;}
			if($capital==$monto){$monto = 0;}
			if($capital<$monto){$monto = $monto - $capital;}
	
	}
	
	
	$total_pagado = $mora_pagada + $interes_pagado + $capital_pagado;
	$int +=$interes_pagado; 
	$cap +=$capital_pagado;
	$mor+=$mora_pagada;
	$tot+=$total_pagado ;
	 
}


echo "<center>";
echo "<br>--------------------------------<br>";
echo "Distribucion de pago";
echo "<br>--------------------------------<br>";
echo "</center>";
echo "<b>".$str."</b>";
echo "<table border='0'>";
echo "<td>Abono capital:</td><td>".decimal($cap)."</td>";
echo "<tr>";
echo "<td>Interes:</td><td>".decimal($int)."</td>";
echo "<tr>";
echo "<td>Mora:</td><td>".decimal($mor)."</td>";
echo "<tr>";

echo "<td><b>TOTAL PAGADO:</td><td>".decimal($tot)."</b></td>";
echo "<tr>";
echo "<td><b>BALANCE:</td><td>".decimal($bal - $imonto)."</b></td>";
echo "</table><br>";
?>
Atendido por: <?php echo $_GET["usuario"]."<br>"?>
<?php
$tot0 = $tot ;
$tot = $tot - $mora;
mysql_query("update prestamos set balance=balance - '$tot', capital_pagado=capital_pagado+'$cap', interes_pagado=interes_pagado+'$int', mora_pagada=mora_pagada+'$mor', balance_capital=balance_capital-'$cap', balance_interes=balance_interes-'$int' where id_prestamo='$id_prestamo'") or die(mysql_error());
mysql_query("update cuentas set balance=balance + '$imonto' where numero_cuenta='$cuenta'") or die(mysql_error());
mysql_query("insert into ingresos set 
                            fecha=NOW(),
                            hora=NOW(),
                            concepto='Pago de prestamo #: $id_prestamo',
                            cuenta='$cuenta',
                            monto='$imonto',
                            usuario='$usuario'") or die(mysql_error());
?>
</div>


<script src="../vendor/jquery/jquery.min.js"></script>
<script>
var recibo = $("#recibo").html();
var cliente = "<?php echo $nombre_cliente?>";
var usuario = "<?php echo $usuario?>";
var monto = "<?php echo $tot0?>";
var empresa = localStorage.getItem("empresa");
    var telefono = localStorage.getItem("telefono");
    var direccion = localStorage.getItem("direccion");
    var rnc = localStorage.getItem("rnc");
   
    $("#cabecera").html("<center><span class='h3'>"+empresa+"</span><br>"+"<span class='h5'>"+direccion+"</span><br>"+"<span class='h5'>"+telefono+"</span><br>"+"<span class='h5'>"+rnc+"</span></center>");

    $.post("grabar_recibo.php",{recibo:recibo, cliente:cliente, usuario:usuario, monto:monto},function(data,tr){
    if(tr=="success"){
        alert(data);
		
		
    window.print();
	
	
    setTimeout(function(){
        window.close();
    },2000)
        
        
        
        
        
    }
})





</script>
